Need some help building Firestorm - SLUniverse Forums
Navigation » SLUniverse Forums > Virtual World Discussion > Alternative SL Clients » Need some help building Firestorm


Alternative SL Clients Discuss third party SL clients here.

 
Reply
 
LinkBack Thread Tools Display Modes
Old 02-04-2018, 01:46 PM   #1 (permalink)
Junior Member
 
Join Date: Aug 2017
Posts: 5
SL Join Date: 2007
Need some help building Firestorm

Decided to post it on this forum on the account of having an account. The sldev mailing list is, in all honesty, a relic of the era of mailing lists.

So, the recent Firestorm release and especially the warning it comes with made me update my somewhat stale private build. Used to be a fairly smooth process, but this time I ran into issues:

1. fs_compiling_firestorm_windows [Phoenix Firestorm Project - Wiki] is written for Visual Studio 2013. I'm on VS 2017 because it's, like, 2018. Is it going to be a problem?

2. autobuild either refuses to update or reports a wrong version:

Code:
C:\autobuild\autobuild>pip install hg+http://bitbucket.org/lindenlab/autobuild-1.1#egg=autobuild
Requirement already satisfied: autobuild from hg+http://bitbucket.org/lindenlab/autobuild-1.1#egg=autobuild in c:\python27\lib\site-packages
Requirement already satisfied: llbase in c:\python27\lib\site-packages (from autobuild)
Requirement already satisfied: pydot2 in c:\python27\lib\site-packages (from autobuild)
Requirement already satisfied: requests in c:\python27\lib\site-packages (from llbase->autobuild)
Requirement already satisfied: setuptools in c:\python27\lib\site-packages (from pydot2->autobuild)
Requirement already satisfied: pyparsing in c:\python27\lib\site-packages (from pydot2->autobuild)

C:\autobuild\autobuild>autobuild --version
autobuild 1.0
Is the URL wrong or what's wrong with it (again) anyway?
Kleronomas is offline   Reply With Quote
Old 02-04-2018, 03:05 PM   #2 (permalink)
Scaly
 
NiranV Dean's Avatar
Cuffing your dreams
 
Join Date: Jan 2011
Location: Germany
Posts: 1,714
My Mood:
SL Join Date: 6th Jan. 2007
Client: Black Dragon
Blog Entries: 12
Oh that.. yea i had that too, this is due to the updated autobuild and autobuild doesn't let you update or reinstall over older versions, you have to uninstall it first and then reinstall the latest version, then it should work.
__________________
Successful design is not the achievement of perfection but the minimization and accommodation of imperfection.
Black Dragon - Rawr
Bad Dragon - Nudest of all Viewers
NiranV Dean is offline   Reply With Quote
Old 02-07-2018, 05:29 AM   #3 (permalink)
Junior Member
 
Join Date: Aug 2017
Posts: 5
SL Join Date: 2007
Yep, thanks. Works now. I mean, it still refuses to build fmod but well - I'll look into it when I decide to turn on sound in SL, which I haven't done in maybe 5 years.
Kleronomas is offline   Reply With Quote
Old 02-10-2018, 12:04 PM   #4 (permalink)
Junior Member
 
Join Date: Aug 2017
Posts: 5
SL Join Date: 2007
Okay, got some free time on my hands today. (Idle hands are the devil's workshop - in my case, baatezu's.) Builds and runs now. What I'm still not getting is why the head labelled Firestorm_5.0.11_Release refuses to build so adamantly.

First, the manual on the Firestorm site speaks of fmodstudio already, while 5.0.11 still uses the fmodex symbol. Okay, this one was easy.

Second, 5.0.11 seems to have build directory names messed up - it tries to throw both 32 and 64 bit builds into one and the same build-vc120.

But the point where I decided it wasn't worth it was that autobuild fails to run cygwin bash due to some path problems I was too lazy to look into. Overall, I went with the current tip (5.1.1 something) and it seems to be working for now, but really - what's wrong with 5.0.11? I've been (episodically) building first LL stock one, then Phoenix and recently Firestorm since the day it went opensource and it's never been such a mess. Did I miss a dramatic change somewhere? </nerd rant>
Kleronomas is offline   Reply With Quote
Old 02-12-2018, 04:49 AM   #5 (permalink)
Scaly
 
NiranV Dean's Avatar
Cuffing your dreams
 
Join Date: Jan 2011
Location: Germany
Posts: 1,714
My Mood:
SL Join Date: 6th Jan. 2007
Client: Black Dragon
Blog Entries: 12
The building process changed drastically with the inclusion of the official 64bit switch. It took me 2 whole weeks figuring fmodex out since there is absolutely 0 documentation on it, where to get it and how to build it and i didn't just want to take anyone's fmodex library. Not to mention auto updater is completely hosed right now.
NiranV Dean is offline   Reply With Quote
Old 02-13-2018, 11:08 AM   #6 (permalink)
I don't do stupid.
 
Lance Corrimal's Avatar
mean old man
 
Join Date: Feb 2010
Posts: 2,388
My Mood:
SL Join Date: 2006-06-09
Business: My!
Client: Dolphin Viewer 3
Send a message via Yahoo to Lance Corrimal
Fighting with it too... right now the configure pass fails for any number of version incompatibilities, seems that the linden lab prebuilds are incompatible with each other 0.o
__________________
Lance Corrimal is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On




SEO by vBSEO